<?php
/**
 * @package   FL Social Likes Element for Zoo
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

class ElementFLSocialLikes extends Element {

    // Construct Function

	public function __construct()
    {
        parent::__construct();
    }

    // Has Value Function

	public function hasValue($params = array())
    {
		$value		= $this->get('value', 1);
		return !empty($value);
	}

    // Render Function

	public function render($params = array())
    {
        //init params
        $params = $this->app->data->create($params);

        //init vars
        $providers  = $params->get('providers', array());
        $style      = $params->get('template', 'flat');
        $layout     = $params->get('layout', 'default');
        $script     = $this->app->path->url('elements:flsociallikes/assets/js/social-likes.min.js');

        // Add Script Acync
        JFactory::getDocument()->addScript($script, 'text/javascript', false, true);

        if ($style != 'custom') {
            $this->app->document->addStylesheet('elements:flsociallikes/assets/css/social-likes_'.$style.'.css');
        }
        
        $html = array();

        if (!empty($providers)) {
            $html[] = '<div class="social-likes social-likes_'.$layout.'">';

            foreach ($providers as $key => $provider) {
                $providerTitle = ucfirst($provider);
                $html[] = '<button data-service="'.$provider.'" title="Share link on '.$providerTitle.'">'.$providerTitle.'</button>';
            }

            $html[] = '</div>';
        }

        return implode("\n", $html);
	}

    // Edit Function

	public function edit()
    {
		return $this->app->html->_('select.booleanlist', $this->getControlName('value'), '', $this->get('value', 1));
	}

    // Set Config Folder Function

    public function getConfigForm()
    {
        $form = parent::getConfigForm();
        $form->addElementPath($this->app->path->path('elements:flsociallikes/fields'));
        return $form;
    }

}
